summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-04-15 15:01:28 -0400
committerJune McEnroe <june@causal.agency>2018-04-15 15:01:28 -0400
commitc9ef9b09cbd67ea41fe353f21d92c6c87aa39b48 (patch)
tree62407a90bb9bf658515dab5e7c1433414e852373
parentRemove d-_-b (diff)
downloadsrc-c9ef9b09cbd67ea41fe353f21d92c6c87aa39b48.tar.gz
src-c9ef9b09cbd67ea41fe353f21d92c6c87aa39b48.zip
Add TF2 configs
-rw-r--r--etc/tf/cfg/autoexec.cfg3
-rw-r--r--etc/tf/cfg/engineer.cfg3
-rw-r--r--etc/tf/cfg/heavyweapons.cfg3
-rw-r--r--etc/tf/cfg/scout.cfg4
-rwxr-xr-xetc/tf/link.zsh7
5 files changed, 20 insertions, 0 deletions
diff --git a/etc/tf/cfg/autoexec.cfg b/etc/tf/cfg/autoexec.cfg
new file mode 100644
index 00000000..14dc5638
--- /dev/null
+++ b/etc/tf/cfg/autoexec.cfg
@@ -0,0 +1,3 @@
+tf_contract_progress_show 0
+bind \ kill
+bind = "bind mouse2 +attack2; toggle r_drawviewmodel 0 1"
diff --git a/etc/tf/cfg/engineer.cfg b/etc/tf/cfg/engineer.cfg
new file mode 100644
index 00000000..1faec67e
--- /dev/null
+++ b/etc/tf/cfg/engineer.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "destroy 2; build 2"
+bind mouse4 "destroy 0; build 0"
+bind mouse5 "destroy 3; build 3"
diff --git a/etc/tf/cfg/heavyweapons.cfg b/etc/tf/cfg/heavyweapons.cfg
new file mode 100644
index 00000000..85275e72
--- /dev/null
+++ b/etc/tf/cfg/heavyweapons.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "voicemenu 2 0"
+bind mouse4 "voicemenu 0 7"
+bind mouse5 "voicemenu 1 4"
diff --git a/etc/tf/cfg/scout.cfg b/etc/tf/cfg/scout.cfg
new file mode 100644
index 00000000..940c1e63
--- /dev/null
+++ b/etc/tf/cfg/scout.cfg
@@ -0,0 +1,4 @@
+r_drawviewmodel 0
+alias +melee "r_drawviewmodel 1; slot3; +attack"
+alias -melee "-attack; slot1; r_drawviewmodel 0"
+bind mouse2 +melee
diff --git a/etc/tf/link.zsh b/etc/tf/link.zsh
new file mode 100755
index 00000000..a00f1c01
--- /dev/null
+++ b/etc/tf/link.zsh
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset
+
+tf="$HOME/Library/Application Support/Steam/steamapps/common/Team Fortress 2/tf"
+for cfg in cfg/*.cfg; do
+    ln -s -f "$PWD/$cfg" "$tf/$cfg"
+done
ject'>Use time_t for save signatureJune McEnroe It's actually more likely to be 64-bit than size_t anyway, and it eliminates some helper functions. Also don't error when reading an empty save file. 2020-02-11Set self.nick to * initiallyJune McEnroe Allows removing a bunch of checks that self.nick is set, and it's what the server usually calls you before registration. Never highlight notices as mentions. 2020-02-11Define ColorCap instead of hardcoding 100June McEnroe 2020-02-11Move hash to top of chat.hJune McEnroe 2020-02-11Move base64 out of chat.hJune McEnroe 2020-02-11Move XDG_SUBDIR out of chat.hJune McEnroe 2020-02-11Fix whois idle unit calculationJune McEnroe Rookie mistake. 2020-02-11Cast towupper to wchar_tJune McEnroe For some reason it takes and returns wint_t... 2020-02-11Cast set but unused variables to voidJune McEnroe 2020-02-11Declare strlcatJune McEnroe 2020-02-11Check if VDSUSP existsJune McEnroe 2020-02-11Fix completeReplace iterationJune McEnroe 2020-02-11Use pkg(8) to configure on FreeBSDJune McEnroe 2020-02-11Remove legacy codeJune McEnroe 2020-02-11Add INSTALLING section to READMEJune McEnroe